package lcsb.mapviewer.annotation;

import lcsb.mapviewer.annotation.cache.MockCacheInterface;
import lcsb.mapviewer.persist.SpringPersistConfig;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.security.crypto.password.NoOpPasswordEncoder;

@Configuration
@Import({SpringAnnotationConfig.class, SpringPersistConfig.class})
public class SpringAnnotationTestConfig {

  @Bean
  public NoOpPasswordEncoder passwordEncoder() {
    return (NoOpPasswordEncoder) NoOpPasswordEncoder.getInstance();
  }

  @Bean
  public MockCacheInterface mockCacheInterface() {
    return new MockCacheInterface();
  }

}
