package lcsb.mapviewer.converter.graphics;

import static org.mockito.ArgumentMatchers.nullable;
import static org.mockito.Mockito.when;

import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;

import org.mockito.Mockito;

public abstract class GraphicsTestFunctions {
  protected Graphics2D createGraphicsMock() {
    Graphics2D graphics = Mockito.mock(Graphics2D.class);
    FontMetrics fontMetrics = Mockito.mock(FontMetrics.class);
    when(fontMetrics.getStringBounds(nullable(String.class), nullable(Graphics.class)))
        .thenReturn(new Rectangle2D.Double());
    when(graphics.getFontMetrics()).thenReturn(fontMetrics);
    return graphics;
  }

}
