package lcsb.mapviewer.model.map.reaction.type;

import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.fail;

import org.apache.commons.lang3.SerializationUtils;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;

import lcsb.mapviewer.common.exception.InvalidArgumentException;
import lcsb.mapviewer.common.exception.NotImplementedException;
import lcsb.mapviewer.model.map.reaction.Product;
import lcsb.mapviewer.model.map.reaction.Reactant;
import lcsb.mapviewer.model.map.reaction.Reaction;

public class TruncationReactionTest {

  @Before
  public void setUp() throws Exception {
  }

  @After
  public void tearDown() throws Exception {
  }

  @Test
  public void testSerialization() {
    try {
      SerializationUtils.serialize(new TruncationReaction());
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testConstructorWithInvalidArg() {
    try {
      Reaction reaction = new Reaction();
      new TruncationReaction(reaction);
      fail("Exception expected");
    } catch (InvalidArgumentException e) {

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testConstructorWithInvalidArg2() {
    try {
      Reaction reaction = new Reaction();
      reaction.addProduct(new Product());
      reaction.addProduct(new Product());
      new TruncationReaction(reaction);
      fail("Exception expected");
    } catch (InvalidArgumentException e) {

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testConstructor() {
    try {
      Reaction reaction = new Reaction();
      reaction.addProduct(new Product());
      reaction.addProduct(new Product());
      reaction.addReactant(new Reactant());
      TruncationReaction validReaction = new TruncationReaction(reaction);
      assertNotNull(validReaction);

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testCopy() {
    try {
      TruncationReaction original = new TruncationReaction();
      original.addProduct(new Product());
      original.addProduct(new Product());
      original.addReactant(new Reactant());
      TruncationReaction product = original.copy();
      assertNotNull(product);
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testInvalidCopy() {
    try {
      Mockito.spy(new TruncationReaction()).copy();
      fail("Exception expected");
    } catch (NotImplementedException e) {
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testGetters() {
    try {
      Reaction reaction = new TruncationReaction();
      assertNotNull(reaction.getStringType());
      assertNotNull(reaction.getReactionRect());
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

}
