package lcsb.mapviewer.api;

import lcsb.mapviewer.api.users.CustomAuthenticationProvider;
import lcsb.mapviewer.services.SpringServiceConfig;
import lcsb.mapviewer.services.interfaces.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;
import org.springframework.security.authentication.AuthenticationProvider;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;

@Configuration
@EnableWebMvc
@Import({SpringServiceConfig.class})
@ComponentScan(basePackages = {"lcsb.mapviewer.api"})
public class SpringRestApiConfig {

  private IUserService userService;

  @Autowired
  public SpringRestApiConfig(IUserService userService) {
    this.userService = userService;
  }

  @Bean
  public AuthenticationProvider authenticationProvider() {
    CustomAuthenticationProvider provider = new CustomAuthenticationProvider();
    provider.setUserService(userService);
    return provider;
  }

}

