package lcsb.mapviewer.api.plugins;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import lcsb.mapviewer.api.RestTestFunctions;
import lcsb.mapviewer.model.user.Privilege;
import lcsb.mapviewer.model.user.PrivilegeType;
import lcsb.mapviewer.model.user.User;

public class PluginRestImplTest extends RestTestFunctions {

  @Autowired
  PluginRestImpl pluginRestImpl;

  @Test(expected = lcsb.mapviewer.services.SecurityException.class)
  public void testCreatePluginWithoutAccess() throws Exception {
    pluginRestImpl.createPlugin(token, "x", "x", "x", "x", "true");
  }

  @Test
  public void testCreatePlugin() throws Exception {
    try {
      User admin = userService.getUserByToken(adminToken);
      userService.setUserPrivilege(admin, new Privilege(1, PrivilegeType.MANAGE_PLUGINS, admin));
      pluginRestImpl.createPlugin(adminToken, "x", "x", "x", "x", "true");
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testRemovePlugin() throws Exception {
    try {
      User admin = userService.getUserByToken(adminToken);
      userService.setUserPrivilege(admin, new Privilege(1, PrivilegeType.MANAGE_PLUGINS, admin));
      pluginRestImpl.createPlugin(adminToken, "x", "x", "x", "x", "true");
      pluginRestImpl.removePlugin(adminToken, "x");
    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

}
