package lcsb.mapviewer.api.projects.drugs;

import static org.junit.Assert.assertNotNull;
import static org.mockito.ArgumentMatchers.any;
import static org.mockito.ArgumentMatchers.anyString;

import java.util.List;
import java.util.Map;

import org.apache.log4j.Logger;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;
import org.springframework.beans.factory.annotation.Autowired;

import lcsb.mapviewer.api.RestTestFunctions;
import lcsb.mapviewer.common.exception.InvalidStateException;
import lcsb.mapviewer.model.map.model.Model;
import lcsb.mapviewer.services.SecurityException;
import lcsb.mapviewer.services.interfaces.IModelService;
import lcsb.mapviewer.services.interfaces.IProjectService;

public class DrugRestImplTest extends RestTestFunctions {
  Logger logger = Logger.getLogger(DrugRestImplTest.class);

  @Autowired

  private DrugRestImpl _drugRestImpl;

  @AfterClass
  public static void tearDownAfterClass() throws Exception {
  }

  @Before
  public void setUp() throws Exception {
  }

  @After
  public void tearDown() throws Exception {
  }

  @Test
  @SuppressWarnings("unchecked")
  public void testGetDrugsByQuery() throws Exception {
    try {
      DrugRestImpl drugRestImpl = createMockProjectRest("testFiles/model/drug_target.xml");
      Map<String, Object> result = drugRestImpl.getDrugsByQuery(token, "drug_target", "", "Selisistat").get(0);
      List<Map<String, Object>> references = (List<Map<String, Object>>) result.get("references");
      Map<String, Object> reference = references.get(0);
      assertNotNull(reference.get("type"));

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  @Test
  public void testTargetWithEmptyMechanism() throws Exception {
    try {
      DrugRestImpl drugRestImpl = createMockProjectRest("testFiles/model/sample.xml");
      Map<String, Object> result = drugRestImpl.getDrugsByQuery(token, "sample", "", "Picato").get(0);
      assertNotNull(result);

    } catch (Exception e) {
      e.printStackTrace();
      throw e;
    }
  }

  private DrugRestImpl createMockProjectRest(String string) throws Exception {
    Model model = super.getModelForFile(string, true);
    _drugRestImpl.setModelService(createModelMockServiceForModel(model));
    _drugRestImpl.setProjectService(createProjectMockServiceForModel(model));
    return _drugRestImpl;
  }

}
